# class Byebug::AutolistSetting

Setting for automatically listing source code on every stop.

### Constants

DEFAULT

### Public Class Methods

new() click to toggle source

    # File lib/byebug/settings/autolist.rb, line 13
    def initialize
      ListCommand.always_run = DEFAULT
    end

### Public Instance Methods

banner() click to toggle source

    # File lib/byebug/settings/autolist.rb, line 17
    def banner
      "Invoke list command on every stop"
    end

value() click to toggle source

    # File lib/byebug/settings/autolist.rb, line 25
    def value
      ListCommand.always_run == 1
    end

value=(val) click to toggle source

    # File lib/byebug/settings/autolist.rb, line 21
    def value=(val)
      ListCommand.always_run = val ? 1 : 0
    end